summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlfredo Ramos2015-06-08 15:56:50 -0500
committerAlfredo Ramos2015-06-08 15:56:50 -0500
commitd6ed1b221f86d0b2e361a853846b6f985e525b38 (patch)
tree3c86d4a770978b6bc9f8cdd478416489c716d968
downloadaur-d6ed1b221f86d0b2e361a853846b6f985e525b38.tar.gz
Migration
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD72
-rw-r--r--desktop_file.patch15
3 files changed, 110 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..5e7baff48bb
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+pkgbase = vokoscreen-git
+ pkgdesc = An easy to use screencast creator. Qt5 build. Development version.
+ pkgver = 2.3.4.beta.r3.gd712c7b
+ pkgrel = 1
+ url = http://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = git
+ makedepends = qt5-tools
+ depends = ffmpeg
+ depends = lame
+ depends = qt5-x11extras
+ optdepends = pulseaudio-alsa: For PulseAudio support
+ provides = vokoscreen=2.3.4.beta.r3.gd712c7b
+ conflicts = vokoscreen
+ source = git+https://github.com/vkohaupt/vokoscreen.git
+ source = desktop_file.patch
+ sha512sums = SKIP
+ sha512sums = 3ddc567f831b9f6e2672997a77a099cf8fdd5a6a1d79157738c1670c9106fd6c4e09d74287a770c19bac23dcb73a19ce69cc1ac893d4988f75c7ac35668f7a90
+
+pkgname = vokoscreen-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..107e23e3fb5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,72 @@
+# Maintainer: Alfredo Ramos <alfredo dot ramos at yandex dot com>
+# Contributor: Arthur Țițeică arthur.titeica/gmail/com
+# Contributor: Thomas Laube <tomx3@tomtomtom.org>
+
+_pkgname=vokoscreen
+pkgname=${_pkgname}-git
+pkgver=2.3.4.beta.r3.gd712c7b
+pkgrel=1
+pkgdesc='An easy to use screencast creator. Qt5 build. Development version.'
+arch=('i686' 'x86_64')
+url='http://linuxecke.volkoh.de/vokoscreen/vokoscreen.html'
+license=('GPL')
+
+depends=('ffmpeg' 'lame' 'qt5-x11extras')
+optdepends=(
+ 'pulseaudio-alsa: For PulseAudio support'
+)
+makedepends=('git' 'qt5-tools')
+provides=("${_pkgname}=${pkgver}")
+conflicts=("${_pkgname}")
+
+source=(
+ "git+https://github.com/vkohaupt/${_pkgname}.git"
+ 'desktop_file.patch'
+)
+sha512sums=(
+ 'SKIP'
+ '3ddc567f831b9f6e2672997a77a099cf8fdd5a6a1d79157738c1670c9106fd6c4e09d74287a770c19bac23dcb73a19ce69cc1ac893d4988f75c7ac35668f7a90'
+)
+
+pkgver() {
+ # Updating package version
+ cd ${srcdir}/${_pkgname}
+ (
+ set -o pipefail
+ git describe --long --tags 2>/dev/null | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ # Patching *.desktop file
+ cd ${srcdir}/${_pkgname}
+ patch ./applications/${_pkgname}.desktop ../desktop_file.patch
+
+ # Create build directory
+ mkdir -p ${srcdir}/build
+}
+
+build() {
+ # Number of jobs
+ declare -i njobs=$(nproc)
+
+ if [[ ${njobs} -ge 8 ]]; then
+ njobs=$(( $njobs - 2 ))
+ fi
+
+ # Building package
+ cd ${srcdir}/build
+ qmake-qt5 ../${_pkgname} \
+ CONFIG+=release \
+ CONFIG+=c++14 \
+ -spec linux-g++
+
+ make -j${njobs}
+}
+
+package() {
+ # Installing package
+ cd ${srcdir}/build
+ make INSTALL_ROOT=${pkgdir} install
+} \ No newline at end of file
diff --git a/desktop_file.patch b/desktop_file.patch
new file mode 100644
index 00000000000..88541c0c036
--- /dev/null
+++ b/desktop_file.patch
@@ -0,0 +1,15 @@
+--- a/applications/vokoscreen.desktop 2015-05-27 12:13:34.206233690 -0500
++++ b/applications/vokoscreen.desktop 2015-05-27 12:16:02.223851764 -0500
+@@ -1,10 +1,10 @@
+ [Desktop Entry]
+-Comment=screencast
++Comment=An easy to use screencast creator
+ Exec=vokoscreen
+ Icon=vokoscreen
+ Name=vokoscreen
+ StartupNotify=false
+ Terminal=false
+ Type=Application
+-Categories=AudioVideo;Recorder;
++Categories=AudioVideo;Recorder;Qt;
+ Keywords=Audio;Video;Recorder;Screencast;